Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> RavenNuke(tm) v2.5x
Author Message
Plasma
Regular
Regular



Joined: May 17, 2005
Posts: 66

PostPosted: Wed Aug 03, 2016 12:08 pm Reply with quote

I'm using RavenNuke 2.51. I have a theme that is having an issue displaying a background image in the nukeNAV block. From the screenshot you an see that it has a white background where it should be gray like what is shown in the "Administration" block. I have 2 themes that are doing the same thing and some that work fine. I've attached the screenshot of the problem as well as the code.



Code:
<td height="19" background="themes/lightmulti/images/blockL_07.jpg"></td>

      <td background="themes/lightmulti/images/blockL_08.jpg"><table border="0" cellpadding="0" cellspacing="0"><tr><td><ul class="nukeNAVmod"><li class="li-first"><a href="./">Home</a></li>
<li class="li-even li-next"><a href="modules.php?name=rwsMetAuthors">Authors and Articles</a></li>





This code (in the Admin block) uses the same images but it works like it should:

Code:
<td height="19" background="themes/lightmulti/images/blockL_07.jpg"></td>

      <td background="themes/lightmulti/images/blockL_08.jpg"><!-- Start Info -->
<div id="IBblock"><div class="fullwidth">
<div class="IBinfosection" id="IBsection1">
<div><a href="modules.php?name=Your_Account&amp;op=edituser" class="IBuser" title="Your Account"><img src="images/transparent.gif" class="IBicon8" alt="Your Account" /><span class="IBtextpad">plasma</span></a></div>
<ul class="rninfobox">





Can anyone help? I can also provide more information if needed.

Thanks.



naverror.jpg
 Description:
 Filesize:  109.64 KB
 Viewed:  8033 Time(s)

naverror.jpg


 
View user's profile Send private message
neralex
Site Admin



Joined: Aug 22, 2007
Posts: 1542

PostPosted: Thu Aug 04, 2016 6:14 am Reply with quote

This is based in css-classes for nukeNAV. You can find the css-class of the parent container easily with the code-inspector tools in chrome or firefox. After that you have to override it in the style.css of your used theme.

_________________
Github: RavenNuke  
View user's profile Send private message
Plasma







PostPosted: Fri Aug 05, 2016 12:40 pm Reply with quote

So what I think I can find is it is something to do with this below ( i copied the code and pasted it over the block).

Should I have a file named nukeNAVmod somewhere? What about the .sf.js-enabled.sf-shadow. Is that just javascript or the actual name of a file?



navmod.jpg
 Description:
 Filesize:  132.84 KB
 Viewed:  7972 Time(s)

navmod.jpg


 
neralex







PostPosted: Fri Aug 05, 2016 2:33 pm Reply with quote

...pasted over the block - why?

You have to override the style attributes for the background color of this container in the style.css of your used theme. CSS-code is only allowed in the head of an document or in the related css-file. All other ways are worse. In the code inspector tools you will find all what you need and you can change it in there for testing the result without to change the css-file. If you have found the right class, you can override it in the style.css of your used theme. The both classes: .sf.js-enabled.sf-shadow are only javascript selectors.
 
Plasma







PostPosted: Sat Aug 06, 2016 7:44 pm Reply with quote

neralex wrote:
...pasted over the block - why?

You have to override the style attributes for the background color of this container in the style.css of your used theme. CSS-code is only allowed in the head of an document or in the related css-file. All other ways are worse. In the code inspector tools you will find all what you need and you can change it in there for testing the result without to change the css-file. If you have found the right class, you can override it in the style.css of your used theme. The both classes: .sf.js-enabled.sf-shadow are only javascript selectors.



Pasted to put both code and block in same picture..


Okay, so if I delete : <ul class="nukeNAVmod sf-js-enabled sf-shadow"> then the background color looks okay. But I only can delete it when I inspect the code.. I cannot find in any files where it says "nukeNAVmod".

And how do I change that in the css file if I can't find the right code?
 
neralex







PostPosted: Mon Aug 08, 2016 3:52 am Reply with quote

Open this file with your ftp-browser:

themes/name_of_your_theme/style/style.css

Add this code at the end of the file :

css Code:
.nukeNAVmod li {

background:#d3d4d8 !important;
}
.nukeNAVmod a,.nukeNAVmod a:visited{
color:#000 !important;
}
.nukeNAVmod li:hover,
.nukeNAVmod li.sfHover,
.nukeNAVmod a:focus,
.nukeNAVmod a:hover,
.nukeNAVmod a:active{
background:#d3d4d8 !important;
color:#000 !important;
}


If you want change the text-color, then change the color-attributes like this: color:#fff !important;
 
Plasma







PostPosted: Mon Aug 08, 2016 11:24 am Reply with quote

neralex wrote:
Open this file with your ftp-browser:

themes/name_of_your_theme/style/style.css

Add this code at the end of the file :

css Code:
.nukeNAVmod li {

background:#d3d4d8 !important;
}
.nukeNAVmod a,.nukeNAVmod a:visited{
color:#000 !important;
}
.nukeNAVmod li:hover,
.nukeNAVmod li.sfHover,
.nukeNAVmod a:focus,
.nukeNAVmod a:hover,
.nukeNAVmod a:active{
background:#d3d4d8 !important;
color:#000 !important;
}


If you want change the text-color, then change the color-attributes like this: color:#fff !important;



d***.. That worked!!!

Thanks you thank you:)

Now what I don't understand is why all of the sudden it stopped working. I've had that site/theme for 5+ years and never had issues with it. Same with the other theme that has the same issues. The only thing I can think of is I'm using the Raven version opposed to the PNC version..
 
neralex







PostPosted: Tue Aug 09, 2016 4:48 am Reply with quote

Just because both distros are based Nuke, they are not the same! Each distro has a own code standard with own modified functions. Most Nuke distros have a outdated code standard. In the last 5 years we got many new web-standards and some important changes with the current php versions. So you need not be surprised if the 5 year old script will no longer work.

Enable the error-reporting and check each error-message to find it out. The most errors are caused by old themes, blocks or modules with deprecated php code. I would also recommend you to deal with things like CSS and HTML code validation. This should help you to solve the most issues with old themes.
 
Display posts from previous:       
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> RavenNuke(tm) v2.5x

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©